Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/include/Operation.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/include/Operation.h	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/include/Operation.h	(revision 116)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_operation_h
-#define morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_operation_h
+#ifndef morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_operation_Operation_h
+#define morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_operation_Operation_h
 
 /*
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/include/Types.h	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/include/Types.h	(revision 116)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_Types_h
-#define morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_Types_h
+#ifndef morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_operation_Types_h
+#define morpheo_behavioural_core_multi_execute_loop_execute_loop_multi_execute_unit_execute_unit_functionnal_unit_operation_Types_h
 
 /*
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/src/Operation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/src/Operation.cpp	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation/src/Operation.cpp	(revision 116)
@@ -50,5 +50,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -76,5 +80,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -102,5 +110,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -140,5 +152,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -178,5 +194,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -201,5 +221,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -224,5 +248,9 @@
     op->_exception    = (overflow==1)?EXCEPTION_ALU_RANGE:EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -243,5 +271,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -262,5 +294,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -281,5 +317,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -299,5 +339,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -320,5 +364,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -402,5 +450,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -421,5 +473,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -440,5 +496,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -459,5 +519,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -478,5 +542,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -497,5 +565,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -517,5 +589,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -537,5 +613,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -557,5 +637,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -577,5 +661,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -598,5 +686,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -619,5 +711,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -640,5 +736,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -661,5 +761,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -693,5 +797,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -725,5 +833,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -757,5 +869,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -789,5 +905,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -912,5 +1032,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -936,5 +1060,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
@@ -960,5 +1088,9 @@
     op->_exception    = EXCEPTION_ALU_NONE;
     op->_no_sequence  = 0;
-  //op->_address      = 0;
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
+    op->_address      = 0;
+#else
+  //op->_address      = 0;
+#endif
   };
 
